### Method

# Snapd SystemInformation get_on_classic

since: 1.0

#### Declaration [src]

    gboolean
    snapd_system_information_get_on_classic (
      SnapdSystemInformation* system_information
    )

#### Description [src]

Get if this system is a classic system.

Available since: 1.0

Gets property | `Snapd.SystemInformation:on-classic`

#### Return value

Type: `gboolean`

`TRUE` if running on a classic system.